Download MetaTrader 5

Old Version of METATRADER (official version) needed OLDER THAN 402 preferably

To add comments, please log in or register
tasos
15
tasos  

Please can someone share an older metatrader version with me. Not branded please. I need the original version.

It would be better to provide me with the folder (clear please with no indicators etc) of it. No setup because it automatically updates.

Thank you in advance

Paul B
175
Paul B  

Hi,

I have a few old copies of MT4, various builds.

PM me with your email address and I'll give you a download link.

Cheers

hk_rajkumar
66
hk_rajkumar  
Paul_B:

Hi,

I have a few old copies of MT4, various builds.

PM me with your email address and I'll give you a download link.

Cheers

Hello..I need mt4 version older then 950. my email id- rajkumar.giri@gmail.com

Thax in advance,

Raj 

Akh. Edy Ismanto
113
Akh. Edy Ismanto  
Paul B:

Hi,

I have a few old copies of MT4, various builds.

PM me with your email address and I'll give you a download link.

Cheers

hi can you give me too asekbos@gmail.com thank you
whroeder1
15086
whroeder1  
hk_rajkumar: .I need mt4 version older then 950. my email id-...
  1. Why? No version below 970 will work with any broker.
  2. You really must like spam.
whroeder1
15086
whroeder1  
Salman Saparudin: Can we login with multiple brokers with it?
What part of "No version below 970 will work with any broker," was unclear?
Ex Ovo Omnia
3230
Ex Ovo Omnia  
whroeder1:
What part of "No version below 970 will work with any broker," was unclear?

So far every broker I have been using can connect to 950.
Salman Saparudin
394
Salman Saparudin  
Ex Ovo Omnia:

So far every broker I have been using can connect to 950.


Thanks Ex Ovo Omnia,

I found the mt4 installer online and copy all the server.srv in data files...it works! i was able to login to various broker :)

To add comments, please log in or register